> ## Documentation Index
> Fetch the complete documentation index at: https://docs.oktolabs.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Saved Searches

> Return the saved searches for a board (shared with all members).



## OpenAPI

````yaml /openapi.json get /api/v1/discovery/boards/{board_id}/saved-searches
openapi: 3.1.0
info:
  description: >-
    Okto Pulse REST API schema generated from okto-pulse-core 0.2.0 source for
    docs.oktolabs.ai.
  title: Okto Pulse
  version: 0.2.0
servers: []
security: []
paths:
  /api/v1/discovery/boards/{board_id}/saved-searches:
    get:
      tags:
        - discovery
      summary: List Saved Searches
      description: Return the saved searches for a board (shared with all members).
      operationId: >-
        list_saved_searches_api_v1_discovery_boards__board_id__saved_searches_get
      parameters:
        - in: path
          name: board_id
          required: true
          schema:
            title: Board Id
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/DiscoverySavedSearchResponse'
                title: >-
                  Response List Saved Searches Api V1 Discovery Boards  Board
                  Id  Saved Searches Get
                type: array
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - HTTPBearer: []
components:
  schemas:
    DiscoverySavedSearchResponse:
      properties:
        board_id:
          title: Board Id
          type: string
        created_at:
          format: date-time
          title: Created At
          type: string
        created_by:
          anyOf:
            - type: string
            - type: 'null'
          title: Created By
        filters_json:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Filters Json
        id:
          title: Id
          type: string
        intent_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Intent Id
        name:
          title: Name
          type: string
        query:
          anyOf:
            - type: string
            - type: 'null'
          title: Query
      required:
        - id
        - board_id
        - name
        - created_at
      title: DiscoverySavedSearchResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    HTTPBearer:
      scheme: bearer
      type: http

````